<?xml version="1.0" encoding="UTF-8"?>  
<beans xmlns="http://www.springframework.org/schema/beans"  
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  
    xmlns:p="http://www.springframework.org/schema/p"  
     xmlns:aop="http://www.springframework.org/schema/aop"
    xmlns:mvc="http://www.springframework.org/schema/mvc"  
    xmlns:context="http://www.springframework.org/schema/context"  
    xsi:schemaLocation="http://www.springframework.org/schema/beans  
                        http://www.springframework.org/schema/beans/spring-beans.xsd  
                        http://www.springframework.org/schema/mvc  
                        http://www.springframework.org/schema/mvc/spring-mvc.xsd  
                        http://www.springframework.org/schema/context  
                        http://www.springframework.org/schema/context/spring-context.xsd
                        http://www.springframework.org/schema/aop 
                        http://www.springframework.org/schema/aop/spring-aop-4.3.xsd" >  
	
	<!-- 数据源的配置 -->
	<!-- 线上环境数据库地址 -->
	<bean id = "dataSource" class="org.apache.commons.dbcp.BasicDataSource">
		<property name="driverClassName" value = "com.mysql.jdbc.Driver"></property>
		<property name="url" value = "jdbc:mysql://118.178.58.178:3306/fund_trusteeship_ccb?useUnicode=true&amp;characterEncoding=UTF-8"></property>
		<property name="username" value = "root"></property>
		<property name="password" value = "sql345678"></property>
	</bean>
	<!-- 本地开发环境数据库地址 -->
	<!-- <bean id = "dataSource" class="org.apache.commons.dbcp.BasicDataSource">
		<property name="driverClassName" value = "com.mysql.jdbc.Driver"></property>
		<property name="url" value = "jdbc:mysql://127.0.0.1:3306/fund_trusteeship_ccb?useUnicode=true&amp;characterEncoding=UTF-8"></property>
		<property name="username" value = "root"></property>
		<property name="password" value = "sql345678"></property>
	</bean> -->
	
	<!-- session工厂 -->
	<bean id="sqlSessionFactory" class="org.mybatis.spring.SqlSessionFactoryBean">
		<property name="dataSource" ref="dataSource"/>
		<property name="mapperLocations" value="classpath:com/fuzamei/mapper/*.xml"/>
		<property name="configLocation" value = "classpath:mybatis-config.xml"/>
	</bean>
	
	<bean class="org.mybatis.spring.mapper.MapperScannerConfigurer">                                         
        <!-- <property name="basePackage" value="com.fuzamei.mapper" />  --> 
        <property name="basePackage" value="com.fuzamei.mapperInterface" />                                      
        <property name="sqlSessionFactoryBeanName" value="sqlSessionFactory"></property>                     
    </bean>
    
  
        
         <bean id="multipartResolver" class="org.springframework.web.multipart.commons.CommonsMultipartResolver"> 
          
             <property name="defaultEncoding" value="utf-8"/> 
            
             <property name="maxUploadSize" value="20000000000"/> 
           
             <property name="maxInMemorySize" value="200000"/> 
    	</bean>
</beans>